Skip to main content
GET
/
threads
List threads
curl --request GET \
  --url https://api.sentvia.ai/v1/threads \
  --header 'Authorization: Bearer <token>'
{
  "threads": [
    {
      "id": "<string>",
      "subject": "<string>",
      "last_message_at": "<string>",
      "messages": [
        {
          "id": "<string>",
          "thread_id": "<string>",
          "direction": "<string>",
          "from_addr": "<string>",
          "to_addrs": [
            "<string>"
          ],
          "subject": "<string>",
          "body_text": "<string>",
          "delivery_status": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

inbox_id
string
limit
integer

Response

200 - application/json

OK

threads
object[]